<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>PublicationContainer (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="PublicationContainer (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/publish/PublishingExtension.html" title="interface in org.gradle.api.publish"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/publish/PublicationContainer.html" target="_top">Frames</a></li>
<li><a href="PublicationContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.publish</div>
<h2 title="Interface PublicationContainer" class="title">Interface PublicationContainer</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, org.gradle.util.Configurable&lt;<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;&gt;, <a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">ExtensiblePolymorphicDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;</dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">PublicationContainer</span>
extends <a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">ExtensiblePolymorphicDomainObjectContainer</a>&lt;<a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish">Publication</a>&gt;</pre>
<div class="block">A <code>PublicationContainer</code> is responsible for creating and managing <a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish"><code>Publication</code></a> instances.

 The set of available publication types is dependent on the application of particular plugins:
 <ul>
     <li>The <a href="../../../../org/gradle/api/publish/maven/plugins/MavenPublishPlugin.html" title="class in org.gradle.api.publish.maven.plugins"><code>MavenPublishPlugin</code></a> makes it possible to create <a href="../../../../org/gradle/api/publish/maven/MavenPublication.html" title="interface in org.gradle.api.publish.maven"><code>MavenPublication</code></a> instances.</li>
     <li>The <a href="../../../../org/gradle/api/publish/ivy/plugins/IvyPublishPlugin.html" title="class in org.gradle.api.publish.ivy.plugins"><code>IvyPublishPlugin</code></a> makes it possible to create <a href="../../../../org/gradle/api/publish/ivy/IvyPublication.html" title="interface in org.gradle.api.publish.ivy"><code>IvyPublication</code></a> instances.</li>
 </ul>


 <pre class='autoTested'>
 apply plugin: 'ivy-publish'

 publishing.publications.create('publication-name', IvyPublication) {
     // Configure the ivy publication here
 }
 </pre>

 The usual way to add publications is via a configuration block.
 See the documentation for <a href="../../../../org/gradle/api/publish/PublishingExtension.html#publications(org.gradle.api.Action)"><code>PublishingExtension.publications(org.gradle.api.Action)</code></a> for examples of how to create and configure publications.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.3</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish"><code>Publication</code></a>, 
<a href="../../../../org/gradle/api/publish/PublishingExtension.html" title="interface in org.gradle.api.publish"><code>PublishingExtension</code></a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.ExtensiblePolymorphicDomainObjectContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">ExtensiblePolymorphicDomainObjectContainer</a></h3>
<code><a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html#registerBinding(java.lang.Class,%20java.lang.Class)">registerBinding</a>, <a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html#registerFactory(java.lang.Class,%20groovy.lang.Closure)">registerFactory</a>, <a href="../../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html#registerFactory(java.lang.Class,%20org.gradle.api.NamedDomainObjectFactory)">registerFactory</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.PolymorphicDomainObjectContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a></h3>
<code><a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html#containerWithType(java.lang.Class)">containerWithType</a>, <a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html#create(java.lang.String,%20java.lang.Class)">create</a>, <a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html#create(java.lang.String,%20java.lang.Class,%20org.gradle.api.Action)">create</a>, <a href="../../../../org/gradle/api/PolymorphicDomainObjectContainer.html#maybeCreate(java.lang.String,%20java.lang.Class)">maybeCreate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectContainer">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a></h3>
<code><a href="../../../../org/gradle/api/NamedDomainObjectContainer.html#configure(groovy.lang.Closure)">configure</a>, <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html#create(java.lang.String)">create</a>, <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html#create(java.lang.String,%20org.gradle.api.Action)">create</a>, <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html#create(java.lang.String,%20groovy.lang.Closure)">create</a>, <a href="../../../../org/gradle/api/NamedDomainObjectContainer.html#maybeCreate(java.lang.String)">maybeCreate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectSet">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a></h3>
<code><a href="../../../../org/gradle/api/NamedDomainObjectSet.html#findAll(groovy.lang.Closure)">findAll</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#matching(groovy.lang.Closure)">matching</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#matching(org.gradle.api.specs.Spec)">matching</a>, <a href="../../../../org/gradle/api/NamedDomainObjectSet.html#withType(java.lang.Class)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a></h3>
<code><a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#add(T)">add</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addAll(java.util.Collection)">addAll</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(org.gradle.api.Rule)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20org.gradle.api.Action)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20groovy.lang.Closure)">addRule</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#findByName(java.lang.String)">findByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">getAsMap</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getAt(java.lang.String)">getAt</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String)">getByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20org.gradle.api.Action)">getByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20groovy.lang.Closure)">getByName</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">getNamer</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">getNames</a>, <a href="../../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">getRules</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Set">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/publish/Publication.html" title="interface in org.gradle.api.publish"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/publish/PublishingExtension.html" title="interface in org.gradle.api.publish"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/publish/PublicationContainer.html" target="_top">Frames</a></li>
<li><a href="PublicationContainer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
